> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Tx Ops Get Group Providers

> Name and signature indicate it returns tx ops get group providers

Required scope: `payments:read`

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/tx-ops-get-group-providers
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/tx-ops-get-group-providers:
    get:
      operationId: txOpsGetGroupProviders
      summary: Tx Ops Get Group Providers
      x-toku-required-scope: payments:read
      description: |-
        Name and signature indicate it returns tx ops get group providers

        Required scope: `payments:read`
      parameters:
        - name: batchID
          in: query
          required: true
          schema:
            type: string
            format: uuid
        - name: groupKey
          in: query
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TxOpsGetGroupProvidersResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    TxOpsGetGroupProvidersResponse:
      type: object
      properties:
        rail:
          type: string
          enum:
            - CRYPTO
            - FIAT
        providers:
          type: array
          items:
            type: object
            properties:
              provider:
                type: string
              providerLabel:
                type: string
              isPlannedProvider:
                type: boolean
              requiresBalanceToSubmit:
                type: boolean
              wallets:
                type: array
                items:
                  type: object
                  properties:
                    address:
                      type: string
                    type:
                      type: string
                    custodyWalletID:
                      type:
                        - string
                        - 'null'
                    label:
                      type: string
                    delegateAddress:
                      type:
                        - string
                        - 'null'
                    supportsBatching:
                      type: boolean
                    balance:
                      type: string
                    totalRequired:
                      type: string
                    isSufficient:
                      type: boolean
                    delegateAvailable:
                      type: boolean
                    isPlannedSource:
                      type: boolean
                    approvalType:
                      type:
                        - string
                        - 'null'
                    threshold:
                      type:
                        - number
                        - 'null'
                    currentSigners:
                      type:
                        - number
                        - 'null'
                    fiatFunding: {}
                  required:
                    - address
                    - type
                    - custodyWalletID
                    - label
                    - delegateAddress
                    - supportsBatching
                    - balance
                    - totalRequired
                    - isSufficient
                    - delegateAvailable
                    - isPlannedSource
                    - approvalType
                    - threshold
                    - currentSigners
                    - fiatFunding
            required:
              - provider
              - providerLabel
              - isPlannedProvider
              - requiresBalanceToSubmit
              - wallets
        failedProviders:
          type: array
          items:
            type: string
        unsupportedProviders:
          type: array
          items:
            type: string
        noSourceWalletProviders:
          type: array
          items:
            type: string
        undeterminedProviders:
          type: array
          items:
            type: string
      required:
        - rail
        - providers
        - failedProviders
        - unsupportedProviders
        - noSourceWalletProviders
        - undeterminedProviders
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
